<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE log4j:configuration PUBLIC
        "-//APACHE//DTD LOG4J 1.2//EN"
        "http://logging.apache.org/log4j/1.2/apidocs/org/apache/log4j/xml/doc-files/log4j.dtd">
<log4j:configuration xmlns:log4j="http://jakarta.apache.org/log4j/">

    <appender name="CONSOLE" class="org.apache.log4j.ConsoleAppender">
        <param name="Threshold" value="DEBUG"/>
        <param name="Target" value="System.out"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[%d{yyyy.MM.dd HH:mm:ss}] [%p] [%c] %m%n"/>
        </layout>
    </appender>

    <appender name="Socket" class="org.apache.log4j.net.SocketAppender">
        <param name="remoteHost" value="127.0.0.1"/>
        <param name="port" value="4560"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[%d{yyyy.MM.dd HH:mm:ss}] [%p] [%c] %m%n"/>
        </layout>
    </appender>

    <!-- Issue: das Verzeichnis muss existieren ... -->
    <appender name="FILE" class="org.apache.log4j.DailyRollingFileAppender">
        <param name="Threshold" value="TRACE"/>
        <param name="File" value="${catalina.base}/logs/portal-openk.backend.log"/>
        <param name="Append" value="true"/>
        <param name="DatePattern" value="'.'yyyy-MM-dd"/>
        <layout class="org.apache.log4j.PatternLayout">
            <param name="ConversionPattern" value="[%d{yyyy.MM.dd HH:mm:ss}] [%p] [%c] %m%n"/>
        </layout>
    </appender>

    <!-- Default Logging configuration beginnend mit org.eclipse (= alle Packages) -->
    <category name="org.eclipse">
        <priority value="INFO"/>
        <!--<priority value="DEBUG"/> -->
        <!--<priority value="ERROR"/> -->
        <appender-ref ref="CONSOLE"/>
        <!--<appender-ref ref="Socket"/> -->
        <!--<appender-ref ref="FILE"/> -->
        <!--<appender-ref ref="SYSLOG"/> -->
        <appender-ref ref="FILE"/>
    </category>
    <category name="org.jboss.resteasy">
        <priority value="WARN"/>
        <!--<priority value="DEBUG"/> -->
        <!--<priority value="ERROR"/> -->
        <appender-ref ref="CONSOLE"/>
        <!--<appender-ref ref="Socket"/> -->
        <!--<appender-ref ref="FILE"/> -->
        <!--<appender-ref ref="SYSLOG"/> -->
        <appender-ref ref="FILE"/>
    </category>
    <category name="javax.persistence.Persistence">
        <priority value="INFO"/>
        <!--<priority value="DEBUG"/> -->
        <!--<priority value="ERROR"/> -->
        <appender-ref ref="CONSOLE"/>
        <!--<appender-ref ref="Socket"/> -->
        <!--<appender-ref ref="FILE"/> -->
        <!--<appender-ref ref="SYSLOG"/> -->
        <appender-ref ref="FILE"/>
    </category>

</log4j:configuration>